## imcode.server.parser
Class MenuParser.UserCanSeeMenuItemPredicate

    java.lang.Object
      imcode.server.parser.MenuParser.UserCanSeeMenuItemPredicate

All Implemented Interfaces:
  org.apache.commons.collections.Predicate

Enclosing class:
  MenuParser

    public static class MenuParser.UserCanSeeMenuItemPredicate

extends java.lang.Object
implements org.apache.commons.collections.Predicate

Constructor Summary
`MenuParser.UserCanSeeMenuItemPredicate(UserDomainObject user)`

Method Summary
`boolean` `evaluate(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuParser.UserCanSeeMenuItemPredicate

    public MenuParser.UserCanSeeMenuItemPredicate(UserDomainObject user)

Method Detail

### evaluate

    public boolean evaluate(java.lang.Object o)

  Specified by:
    `evaluate` in interface `org.apache.commons.collections.Predicate`